/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import java.util.Objects;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.IOException;

/**
 * DetailElectricDeclarationRequest
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class DetailElectricDeclarationRequest {
  @SerializedName("is_total_breakdown")
  private Boolean isTotalBreakdown = null;

  @SerializedName("is_breaker_on")
  private Boolean isBreakerOn = null;

  @SerializedName("is_ground_fault_circuit_interrupter")
  private Boolean isGroundFaultCircuitInterrupter = null;

  @SerializedName("is_untimely_breakdown")
  private Boolean isUntimelyBreakdown = null;

  @SerializedName("is_fix_hour_disjunction")
  private Boolean isFixHourDisjunction = null;

  @SerializedName("is_disjunction_randomly")
  private Boolean isDisjunctionRandomly = null;

  @SerializedName("is_various_breakdown")
  private Boolean isVariousBreakdown = null;

  @SerializedName("is_day_night_contactor")
  private Boolean isDayNightContactor = null;

  @SerializedName("is_day_night_contactor_activated")
  private Boolean isDayNightContactorActivated = null;

  @SerializedName("is_electric_water_heater")
  private Boolean isElectricWaterHeater = null;

  @SerializedName("suggested_decision")
  private String suggestedDecision = null;

  @SerializedName("additional_information")
  private String additionalInformation = null;

  public DetailElectricDeclarationRequest isTotalBreakdown(Boolean isTotalBreakdown) {
    this.isTotalBreakdown = isTotalBreakdown;
    return this;
  }

   /**
   * Is the electric breakdown total?
   * @return isTotalBreakdown
  **/
  @ApiModelProperty(example = "true", value = "Is the electric breakdown total?")
  public Boolean isIsTotalBreakdown() {
    return isTotalBreakdown;
  }

  public void setIsTotalBreakdown(Boolean isTotalBreakdown) {
    this.isTotalBreakdown = isTotalBreakdown;
  }

  public DetailElectricDeclarationRequest isBreakerOn(Boolean isBreakerOn) {
    this.isBreakerOn = isBreakerOn;
    return this;
  }

   /**
   * Is the breaker on?
   * @return isBreakerOn
  **/
  @ApiModelProperty(example = "true", value = "Is the breaker on?")
  public Boolean isIsBreakerOn() {
    return isBreakerOn;
  }

  public void setIsBreakerOn(Boolean isBreakerOn) {
    this.isBreakerOn = isBreakerOn;
  }

  public DetailElectricDeclarationRequest isGroundFaultCircuitInterrupter(Boolean isGroundFaultCircuitInterrupter) {
    this.isGroundFaultCircuitInterrupter = isGroundFaultCircuitInterrupter;
    return this;
  }

   /**
   * Is the ground fault circuit interrupter the cause of the disjunction?
   * @return isGroundFaultCircuitInterrupter
  **/
  @ApiModelProperty(example = "false", value = "Is the ground fault circuit interrupter the cause of the disjunction?")
  public Boolean isIsGroundFaultCircuitInterrupter() {
    return isGroundFaultCircuitInterrupter;
  }

  public void setIsGroundFaultCircuitInterrupter(Boolean isGroundFaultCircuitInterrupter) {
    this.isGroundFaultCircuitInterrupter = isGroundFaultCircuitInterrupter;
  }

  public DetailElectricDeclarationRequest isUntimelyBreakdown(Boolean isUntimelyBreakdown) {
    this.isUntimelyBreakdown = isUntimelyBreakdown;
    return this;
  }

   /**
   * Is the breakdown happening untimely?
   * @return isUntimelyBreakdown
  **/
  @ApiModelProperty(example = "false", value = "Is the breakdown happening untimely?")
  public Boolean isIsUntimelyBreakdown() {
    return isUntimelyBreakdown;
  }

  public void setIsUntimelyBreakdown(Boolean isUntimelyBreakdown) {
    this.isUntimelyBreakdown = isUntimelyBreakdown;
  }

  public DetailElectricDeclarationRequest isFixHourDisjunction(Boolean isFixHourDisjunction) {
    this.isFixHourDisjunction = isFixHourDisjunction;
    return this;
  }

   /**
   * Is the disjunction happening at fix hour?
   * @return isFixHourDisjunction
  **/
  @ApiModelProperty(example = "false", value = "Is the disjunction happening at fix hour?")
  public Boolean isIsFixHourDisjunction() {
    return isFixHourDisjunction;
  }

  public void setIsFixHourDisjunction(Boolean isFixHourDisjunction) {
    this.isFixHourDisjunction = isFixHourDisjunction;
  }

  public DetailElectricDeclarationRequest isDisjunctionRandomly(Boolean isDisjunctionRandomly) {
    this.isDisjunctionRandomly = isDisjunctionRandomly;
    return this;
  }

   /**
   * Is the disjunction happening randomly?
   * @return isDisjunctionRandomly
  **/
  @ApiModelProperty(example = "false", value = "Is the disjunction happening randomly?")
  public Boolean isIsDisjunctionRandomly() {
    return isDisjunctionRandomly;
  }

  public void setIsDisjunctionRandomly(Boolean isDisjunctionRandomly) {
    this.isDisjunctionRandomly = isDisjunctionRandomly;
  }

  public DetailElectricDeclarationRequest isVariousBreakdown(Boolean isVariousBreakdown) {
    this.isVariousBreakdown = isVariousBreakdown;
    return this;
  }

   /**
   * Is the breakdown origin various?
   * @return isVariousBreakdown
  **/
  @ApiModelProperty(example = "false", value = "Is the breakdown origin various?")
  public Boolean isIsVariousBreakdown() {
    return isVariousBreakdown;
  }

  public void setIsVariousBreakdown(Boolean isVariousBreakdown) {
    this.isVariousBreakdown = isVariousBreakdown;
  }

  public DetailElectricDeclarationRequest isDayNightContactor(Boolean isDayNightContactor) {
    this.isDayNightContactor = isDayNightContactor;
    return this;
  }

   /**
   * Is the breakdown originate from the day/night contactor?
   * @return isDayNightContactor
  **/
  @ApiModelProperty(example = "false", value = "Is the breakdown originate from the day/night contactor?")
  public Boolean isIsDayNightContactor() {
    return isDayNightContactor;
  }

  public void setIsDayNightContactor(Boolean isDayNightContactor) {
    this.isDayNightContactor = isDayNightContactor;
  }

  public DetailElectricDeclarationRequest isDayNightContactorActivated(Boolean isDayNightContactorActivated) {
    this.isDayNightContactorActivated = isDayNightContactorActivated;
    return this;
  }

   /**
   * Has the day/night contactor been activated by your electricity supplier?
   * @return isDayNightContactorActivated
  **/
  @ApiModelProperty(example = "false", value = "Has the day/night contactor been activated by your electricity supplier?")
  public Boolean isIsDayNightContactorActivated() {
    return isDayNightContactorActivated;
  }

  public void setIsDayNightContactorActivated(Boolean isDayNightContactorActivated) {
    this.isDayNightContactorActivated = isDayNightContactorActivated;
  }

  public DetailElectricDeclarationRequest isElectricWaterHeater(Boolean isElectricWaterHeater) {
    this.isElectricWaterHeater = isElectricWaterHeater;
    return this;
  }

   /**
   * Is electric water heater issue?
   * @return isElectricWaterHeater
  **/
  @ApiModelProperty(example = "false", value = "Is electric water heater issue?")
  public Boolean isIsElectricWaterHeater() {
    return isElectricWaterHeater;
  }

  public void setIsElectricWaterHeater(Boolean isElectricWaterHeater) {
    this.isElectricWaterHeater = isElectricWaterHeater;
  }

  public DetailElectricDeclarationRequest suggestedDecision(String suggestedDecision) {
    this.suggestedDecision = suggestedDecision;
    return this;
  }

   /**
   * Decision suggested for the declaration. Expected values (DEMAND_ADDITIONAL_INFO, ASSIGN_PRV, INFORM_REFUS, REQUEST_DOC_PROOF)
   * @return suggestedDecision
  **/
  @ApiModelProperty(example = "ASSIGN_PRV", value = "Decision suggested for the declaration. Expected values (DEMAND_ADDITIONAL_INFO, ASSIGN_PRV, INFORM_REFUS, REQUEST_DOC_PROOF)")
  public String getSuggestedDecision() {
    return suggestedDecision;
  }

  public void setSuggestedDecision(String suggestedDecision) {
    this.suggestedDecision = suggestedDecision;
  }

  public DetailElectricDeclarationRequest additionalInformation(String additionalInformation) {
    this.additionalInformation = additionalInformation;
    return this;
  }

   /**
   * Additional information to precise the decision or the damage
   * @return additionalInformation
  **/
  @ApiModelProperty(value = "Additional information to precise the decision or the damage")
  public String getAdditionalInformation() {
    return additionalInformation;
  }

  public void setAdditionalInformation(String additionalInformation) {
    this.additionalInformation = additionalInformation;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    DetailElectricDeclarationRequest detailElectricDeclarationRequest = (DetailElectricDeclarationRequest) o;
    return Objects.equals(this.isTotalBreakdown, detailElectricDeclarationRequest.isTotalBreakdown) &&
        Objects.equals(this.isBreakerOn, detailElectricDeclarationRequest.isBreakerOn) &&
        Objects.equals(this.isGroundFaultCircuitInterrupter, detailElectricDeclarationRequest.isGroundFaultCircuitInterrupter) &&
        Objects.equals(this.isUntimelyBreakdown, detailElectricDeclarationRequest.isUntimelyBreakdown) &&
        Objects.equals(this.isFixHourDisjunction, detailElectricDeclarationRequest.isFixHourDisjunction) &&
        Objects.equals(this.isDisjunctionRandomly, detailElectricDeclarationRequest.isDisjunctionRandomly) &&
        Objects.equals(this.isVariousBreakdown, detailElectricDeclarationRequest.isVariousBreakdown) &&
        Objects.equals(this.isDayNightContactor, detailElectricDeclarationRequest.isDayNightContactor) &&
        Objects.equals(this.isDayNightContactorActivated, detailElectricDeclarationRequest.isDayNightContactorActivated) &&
        Objects.equals(this.isElectricWaterHeater, detailElectricDeclarationRequest.isElectricWaterHeater) &&
        Objects.equals(this.suggestedDecision, detailElectricDeclarationRequest.suggestedDecision) &&
        Objects.equals(this.additionalInformation, detailElectricDeclarationRequest.additionalInformation);
  }

  @Override
  public int hashCode() {
    return Objects.hash(isTotalBreakdown, isBreakerOn, isGroundFaultCircuitInterrupter, isUntimelyBreakdown, isFixHourDisjunction, isDisjunctionRandomly, isVariousBreakdown, isDayNightContactor, isDayNightContactorActivated, isElectricWaterHeater, suggestedDecision, additionalInformation);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class DetailElectricDeclarationRequest {\n");
    
    sb.append("    isTotalBreakdown: ").append(toIndentedString(isTotalBreakdown)).append("\n");
    sb.append("    isBreakerOn: ").append(toIndentedString(isBreakerOn)).append("\n");
    sb.append("    isGroundFaultCircuitInterrupter: ").append(toIndentedString(isGroundFaultCircuitInterrupter)).append("\n");
    sb.append("    isUntimelyBreakdown: ").append(toIndentedString(isUntimelyBreakdown)).append("\n");
    sb.append("    isFixHourDisjunction: ").append(toIndentedString(isFixHourDisjunction)).append("\n");
    sb.append("    isDisjunctionRandomly: ").append(toIndentedString(isDisjunctionRandomly)).append("\n");
    sb.append("    isVariousBreakdown: ").append(toIndentedString(isVariousBreakdown)).append("\n");
    sb.append("    isDayNightContactor: ").append(toIndentedString(isDayNightContactor)).append("\n");
    sb.append("    isDayNightContactorActivated: ").append(toIndentedString(isDayNightContactorActivated)).append("\n");
    sb.append("    isElectricWaterHeater: ").append(toIndentedString(isElectricWaterHeater)).append("\n");
    sb.append("    suggestedDecision: ").append(toIndentedString(suggestedDecision)).append("\n");
    sb.append("    additionalInformation: ").append(toIndentedString(additionalInformation)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

